#include "../include/raylib-cpp.hpp"
#include <iostream>

int main() {
    int screenWidth = 1920;
    int screenHeight = 1080;

    raylib::Window window(screenWidth, screenHeight, "raylib-cpp - basic window");

    SetTargetFPS(60);

    while (!window.ShouldClose())
    {
        BeginDrawing();

        window.ClearBackground(BLACK);

        DrawText("Congrats! You created your first window!", 190, 200, 20, WHITE);

        EndDrawing();
    }

    // UnloadTexture() and CloseWindow() are called automatically.

    return 0;
}
